package mro.util;

import java.util.*; 

/**
 * A class with some extra mathematical functions.
 *
 * @version          040927
 * @author           Magnus Rosell
 *
 */

public class MoreMath{

    // Maths log returnerar logaritmen i e-basen

    private static double logOf2 = Math.log(2);
    private static double logOf10 = Math.log(10);
    
    public static double log2(double a){
	// a-log(x)=ln(x)/ln(a) 
	return Math.log(a) / logOf2;
    }

    public static double log10(double a){
	// a-log(x)=ln(x)/ln(a) 
	return Math.log(a) / logOf10;
    }
    
    public static double log(double a, double base){
	// a-log(x)=ln(x)/ln(a) 
	double logOfBase=Math.log(base);
	return Math.log(a) / logOfBase;
    }
}
