package infomat.vectorspace.similarity;

import infomat.vectorspace.*;

import mro.util.properties.*;

import java.util.HashMap;

/**
 * Similarity measure for a dense matrix representation.
 *
 * @version          080608
 * @author           Magnus Rosell
 */
public abstract class DenseISimilarity extends ISimilarity{

    public DenseISimilarity(){
	super();
    }

    public abstract float sim(float[] repr1, 
			      float[] repr2);

    public abstract float[]
	getRepresentation(IObject io);

    public abstract float[]
	getGroupRepresentation(IObjectGroup io);

}
