package mro.util;

import java.io.*;
import java.util.Vector;

/**
 * A helper class. Some functions used when printing 
 * matlab-files.
 *
 * @version          080517
 * @author           Magnus Rosell
 */
public class MatlabHelper{

    public static void printMatrixHead(PrintWriter pw, String name) throws IOException{
	pw.println(name+" = [");
    }

    public static void printMatrixEnd(PrintWriter pw) throws IOException{
	pw.println("]");
    }

    public static void printMatrixRow(PrintWriter pw, Vector<String> rowStrings) throws IOException{
	for(int i=0; i<rowStrings.size(); i++){
	    pw.print(rowStrings.elementAt(i)+", ");
	}
	pw.println(";");
    }

}
